;;; DO NOT MODIFY THIS FILE
(if (featurep 'coding-cookie-autoloads) (error "Already loaded"))

;;;### (autoloads nil "_pkg" "coding-cookie/_pkg.el")

(package-provide 'coding-cookie :version 0.03 :type 'regular)

;;;***

;;;### (autoloads (coding-cookie-disable coding-cookie-enable run-auto-coding-function set-auto-coding) "coding-cookie" "coding-cookie/coding-cookie.el")

(defcustom auto-coding-regexp-alist '(("^BABYL OPTIONS:[ 	]*-\\*-[ 	]*rmail[ 	]*-\\*-" . no-conversion)) "Alist of patterns vs corresponding coding systems.\nEach element looks like (REGEXP . CODING-SYSTEM).\nA file whose first bytes match REGEXP is decoded by CODING-SYSTEM on reading.\n\nThe settings in this alist take priority over `coding:' tags\nin the file (see the function `set-auto-coding')\nand the contents of `file-coding-system-alist'." :group 'files :group 'mule :type '(repeat (cons (regexp :tag "Regexp") (symbol :tag "Coding system"))))

(autoload 'set-auto-coding "coding-cookie" "\
Return coding system for a file FILENAME of which SIZE bytes follow point.
These bytes should include at least the first 1k of the file
and the last 3k of the file, but the middle may be omitted.

It checks the
contents of the current buffer following point against
`auto-coding-regexp-alist'.  If no match is found, it checks for a
`coding:' tag in the first one or two lines following point.  If no
`coding:' tag is found, it checks for local variables list in the last
3K bytes out of the SIZE bytes.

The return value is the specified coding system,
or nil if nothing specified.

The variable `set-auto-coding-function' (which see) is set to this
function by default." nil nil)

(autoload 'run-auto-coding-function "coding-cookie" nil nil nil)

(autoload 'coding-cookie-enable "coding-cookie" "\
Enables Emacs-ish methods of recognizing coding of files being read
in." t nil)

(autoload 'coding-cookie-disable "coding-cookie" "\
Disables Emacs-ish methods of recognizing coding of files being
read in." t nil)

;;;***

(provide 'coding-cookie-autoloads)
